#!/bin/sh
# reminder script for running pin
# invocation: pin -t <tool shared lib> <tool options> -- <executable> <executable args>
PINHOME=/home/rgorton/PIN/pin-2.11-49306-gcc.3.4.6-ia32_intel64-linux
PIN=${PINHOME}/pin
# COLLECT - could be -ipath, -dpath Default is -ipath, -dpath still in research mode.
COLLECT=-ipath
# PMODE - could be length, path, stratalength, temporal
#   length - collect path length histogram
#   path (default) - collect all paths
#   stratalength - collect all paths, length histogram of strata
#   temporal (same as 'savestrata') - collect all paths, store their strata in
#       temporally correct order.  Lossless.
PMODE=path
# -d /var/tmp - where the generated content gets dumped
INVOKE="${PIN} -t bin/release/x86_64/libpathp.so ${COLLECT} -mode ${PMODE} -d /var/tmp"
echo "Invocation: ${PINBIN} -t <tool shared lib> <tool options> -- <executable> <executable args>"
echo "Running the sample test:"
echo "    $INVOKE -- whet 10000"
$INVOKE -- whet 1000

echo "Resulting files are /var/tmp/whet.<pid>.*"
